Package org.opensaml.xacml.policy

# Interface RuleCombinerParametersType

All Superinterfaces:
  `CombinerParametersType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `RuleCombinerParametersTypeImpl`

public interface RuleCombinerParametersType extends CombinerParametersType
XACML RuleCombinerParameters schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element RuleCombinerParameters.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element RuleCombinerParameters.
`static final String`
`RULE_ID_REF_ATTRIB_NAME`
RuleIdRef attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRuleIdRef()`
Gets the referenced rule's ID.
`void`
`setRuleIdRef(String ref)`
Sets the referenced rule's ID.

### Methods inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`getCombinerParameters`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element RuleCombinerParameters.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element RuleCombinerParameters.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### RULE_ID_REF_ATTRIB_NAME

static final String RULE_ID_REF_ATTRIB_NAME
RuleIdRef attribute name.

See Also:
  - Constant Field Values

## Method Details

### getRuleIdRef

String getRuleIdRef()
Gets the referenced rule's ID.

Returns:
  referenced rule's ID

### setRuleIdRef

void setRuleIdRef(String ref)
Sets the referenced rule's ID.

Parameters:
  `ref` - referenced rule's ID